Skip to main content
POST
/
v1
/
images
/
generations
curl --request POST \
  --url https://api.apimart.ai/v1/images/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "gemini-3-pro-image-preview",
    "prompt": "A bamboo forest path under moonlight",
    "size": "1:1",
    "n": 1,
    "resolution": "1K"
  }'
{
  "code": 200,
  "data": [
    {
      "status": "submitted",
      "task_id": "task_01K8SGYNNNVBQTXNR4MM964S7K"
    }
  ]
}
curl --request POST \
  --url https://api.apimart.ai/v1/images/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "gemini-3-pro-image-preview",
    "prompt": "A bamboo forest path under moonlight",
    "size": "1:1",
    "n": 1,
    "resolution": "1K"
  }'
{
  "code": 200,
  "data": [
    {
      "status": "submitted",
      "task_id": "task_01K8SGYNNNVBQTXNR4MM964S7K"
    }
  ]
}

Authorizations

Authorization
string
required
All APIs require authentication using Bearer TokenGet API Key:Visit API Key Management Page to obtain your API KeyAdd to request header:
Authorization: Bearer YOUR_API_KEY

Body

model
string
default:"gemini-3-pro-image-preview"
required
Image generation model nameSupported models:
  • gemini-3-pro-image-preview - Standard version
  • gemini-3-pro-image-preview-official - Official version
Example: "gemini-3-pro-image-preview" or "gemini-3-pro-image-preview-official"
prompt
string
required
Text description for image generation
size
string
Image generation sizeSupported formats:
  • Ratios: auto, 1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9, 21:9
For text-to-image, when size is auto, the default is 1:1 or 16:9; for image-to-image, the aspect ratio follows the upstream response. We recommend specifying an aspect ratio.
n
integer
Number of images to generateRange: 1-4 (minimum 1, maximum 4)Default: 1⚠️ Note: Must be a pure number (e.g. 1), do not add quotes, otherwise it will error
resolution
string
Output image resolutionSupported values:
  • 1K - 1K resolution (default)
  • 2K - 2K resolution
  • 4K - 4K resolution
⚠️ Note: Generating 4K images with base64 format takes longer processing time
official_fallback
boolean
default:"false"
Whether to use the official channel fallback
  • false: Do not use (default)
  • true: Use official channel
When using the official channel (gemini-3-pro-image-preview-official), this parameter cannot be used.
image_urls
array
List of reference image URLs for image-to-image or image editing💡 Quick Fill (Try it area):
  1. Click ”+ Add an item” to add an image URL
  2. Enter the complete image URL address or base64 data
Limit: Maximum 14 images
mask_url
string
Mask image URL for inpainting (local repainting)
  • Must be used together with image_urls
  • Only one image can be uploaded
Before uploading the mask image, please confirm that the image’s Alpha channel is set to “Yes”.

Response

code
integer
Response status code
data
array
Response data array